Package org.h2gis.functions.spatial.predicates

## Class ST_Contains

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.predicates.ST_Contains

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_Contains
    extends org.h2gis.api.DeterministicScalarFunction

Return true if Geometry A contains Geometry B.

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_Contains()` Default constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static Boolean` `isContains​(org.locationtech.jts.geom.Geometry surface, org.locationtech.jts.geom.Geometry testGeometry)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Contains

    public ST_Contains()

Default constructor

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### isContains

    public static Boolean isContains​(org.locationtech.jts.geom.Geometry surface,
                                     org.locationtech.jts.geom.Geometry testGeometry)
                              throws SQLException

Parameters:
  `surface` - Surface Geometry.
  `testGeometry` - Geometry instance
Returns:
  True only if no points of testGeometry lie outside of surface
Throws:
  `SQLException`